import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  // Print to the terminal
  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  // printOptions to the terminal
  void printOptions(List<Option> options) {
    options.asMap().forEach((index, options) {
      stdout.writeln('[$index] - ${options.label}');
    });

    stdout.writeln('Enter a choice\n');
    stdout.write('> ');
  }

  // Read user input
  String collectInput() {
    return stdin.readLineSync();
  }

  // Clear the terminal screen
  void clearScreen() {
    // Platform check
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}
